import CustomNav from '@/components/CustomNav'
import ax from '@/assets/icons/housemantj/onlove.png'
import dw from '@/assets/icons/housemantj/loc-o.png'
import TextMentioned from '@/assets/icons/housemantj/TextMentioned.png'
import NoteasICO from '@/assets/icons/housemantj/NoteasICO.png'

import share from '@/assets/icons/housemantj/touristShare.png'
import good from '@/assets/icons/housemantj/touristGood.png'
import baozan from '@/assets/icons/housemantj/bgood.png'
import weibaozan from '@/assets/icons/housemantj/unLike.png'
import zhuandao from "@/assets/icons/housemantj/backTop.png";
import withLayout from '@/layouts'
import SpinBox from "@/components/Spin/SpinBox";
import { getNoteList, getNoteID } from '@/services/note'
import { getTravelMine } from '@/services/travel'

import TabIcon from '@/components/HorTabbar/TabIcon'
import { useState, useEffect } from 'react'
import { getTouristDetail, getExtendContent, getRecommendList } from '@/services/home'
import logo from "@/assets/icons/UserCenter/laba.png"
import { Swiper, SwiperItem, Button, View, Ad, Video } from '@tarojs/components';
import useSave from "@/utils/hooks/useSave"
import useLike from "@/utils/hooks/useLike"
import NoteCards from '@/components/foodCards/NoteCard/index'
import Taro, { useShareAppMessage } from '@tarojs/taro'
import Extend from '../components/Extend/extend'
import ImageList from "../components/ImageList";

import './index.less'



export default withLayout((props) => {
  const { router, person } = props
  const { id } = props.router.params
  const [detail, setDetail] = useState({})
  const [isSaved, toggleSave] = useSave(detail.isSaved, 'tourist', id)
  const [isLike, toggleLike] = useLike(detail.isLike, 'tourist', id)
  const [loading, setLoading] = useState(false)
  const [travelMine, setTravelMine] = useState()
  //banner图集数组
  const [imglist, setimglist] = useState([])
  const [index, setIndex] = useState(0)
  const handchange = (e) => {
    setIndex(e.detail.current)
  }

  //本店指南
  const [extend, setExtend] = useState([])

  // 推荐套餐列表
  const [recommend, setRecommend] = useState([])


  //引导显隐
  const [guidance, setGuidance] = useState('shareOff')
  useEffect(() => {
    if (router.params.enterType === "share") {
      setGuidance('shareOn')
    }
  }, [router.params.enterType])
  const resourceList = () => {
    getNoteID(id).then((res) => {
      setDetail(res)
      setimglist(res.imageList || [])
      setRecommend(res.wxResourceList || [])


    }).catch(e => {
      console.error("getNoteID错误", e)
      setLoading(false)

    })

  }
  const handelNoteList = () => {
    getTravelMine({ pageNum: 1, pageSize: 99, simple: true }).then(e => {
      setTravelMine(e)

    })

  }

  useEffect(() => {
    //获取我的行程。

    getTravelMine({ pageNum: 1, pageSize: 99, simple: true }).then(e => {
      setTravelMine(e)

    })

    if (id) {
      setLoading(true)
      getNoteID(id).then((res) => {
        setDetail(res)
        setimglist(res.imageList || [])
        setRecommend(res.wxResourceList || [])

        setLoading(false)

      }).catch(e => {
        console.error("getNoteID错误", e)
        setLoading(false)

      })
      getExtendContent('note', id, { pageSize: 500 }).then((res) => {
        setExtend(res.records || [])
        setLoading(false)

      })
    }
  }, [id])
  // 分享
  useShareAppMessage(() => {
    return {
      title: detail.touristName,
      path: `/pages/details/NoteDetails/index?id=${id}&enterType=share`,
      imageUrl: detail.poster,
    }
  })


  return (
    <view className='page-index'>
      {
        guidance === 'shareOn' ? <view className='index-navbar'>
          <add-tipsFood logo={logo} custom duration={-1} />
          <CustomNav title='十公里' noback />
        </view> :
          <view className='index-navbar'>
            <CustomNav title='十公里' />
          </view>
      }


      <SpinBox loading={loading} className='index-container' style={{ padding: '0 30rpx', background: '#F8F8F8' }}>
        <scroll-view scrollY style={{ height: '100%' }}>
          <view className='storeDetails'>
            <View className='huadong'>
              {
                detail.noteType === 'image' ?
                  <ImageList imglist={imglist} />
                  :
                  <Video
                    controls
                    autoplay={false}
                    loop={false}
                    muted={false} style={{ width: "100%", height: '200px' }} src={detail.videoUrl}
                  >
                  </Video>
              }
            </View>


          </view>
          <view className='jdjs'>
            <view>{detail.summary}</view>
            <view className='line'></view>
            <view className='sc' onClick={toggleSave}>
              {/* <image className='scTip' src={isSaved > 0 ? ax : good} /><text>{isSaved > 0 ? '已收藏' : '加入收藏'}</text> */}
            </view>
          </view>
          <view class='adContainer'>
            <Ad unit-id='adunit-a0f97bb7ec8ec7bb' ad-intervals='30' />
          </view>
          <view style={{ position: 'relative', display: extend == '' ? 'none' : '' }}>
            <view className='title'>
              <image src={NoteasICO} />笔记详情
            </view>
            <View style={{ background: '#FFF' }}>
              {(extend || []).map((item) => <Extend key={item} item={item} />)}
            </View>
          </view>
          <view style={{ display: recommend == '' ? 'none' : '' }}>
            <view className='title'>
              <image src={TextMentioned} />文中提及
            </view>
            {(recommend || []).map((item) => <NoteCards resourceList={resourceList} travelMine={travelMine} key={item} item={item} det={item} handelNoteList={handelNoteList} />)}
          </view>
          <view className='botton'>这是我的底线</view>
        </scroll-view>
      </SpinBox>

      <view className='index-tabber weui-tabbar' style={{ background: '#fff' }}>
        <view className='weui-tabbar__item'>
          <Button openType='share' className='purebtn'><TabIcon icon={share} text='分享' /></Button>
        </view>
        <view className='weui-tabbar__item' onClick={toggleLike}>
          <TabIcon icon={isLike > 0 ? baozan : weibaozan} text={isLike > 0 ? "已爆赞" : "爆赞"} />
        </view>
        <view className='weui-tabbar__item' onClick={toggleSave}>
          <TabIcon icon={isSaved > 0 ? ax : good} text={isSaved > 0 ? "已收藏" : "加入收藏"} />
        </view>
      </view>
    </view>
  )
})


